package com.cim.idm.wmspackage.productpacking.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class ProductPackingStandard extends FieldAccessor implements
		DataInfo<ProductPackingStandardKey> {

	private ProductPackingStandardKey key;
	
	private String description;
	private double width;
	private double length;
	private double height;
	
	private double packingMaterialWeight;
	private double wrapperWeight;
	
	private Timestamp lastEventTime;
	private String lastEventUser;
	
	@Override
	public ProductPackingStandardKey getKey() {
		return key;
	}

	@Override
	public void setKey(ProductPackingStandardKey keyInfo) {
		this.key = keyInfo;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public double getWidth() {
		return width;
	}

	public void setWidth(double width) {
		this.width = width;
	}

	public double getLength() {
		return length;
	}

	public void setLength(double length) {
		this.length = length;
	}

	public double getHeight() {
		return height;
	}

	public void setHeight(double height) {
		this.height = height;
	}

	public double getPackingMaterialWeight() {
		return packingMaterialWeight;
	}

	public void setPackingMaterialWeight(double packingMaterialWeight) {
		this.packingMaterialWeight = packingMaterialWeight;
	}

	public double getWrapperWeight() {
		return wrapperWeight;
	}

	public void setWrapperWeight(double wrapperWeight) {
		this.wrapperWeight = wrapperWeight;
	}

	public Timestamp getLastEventTime() {
		return lastEventTime;
	}

	public void setLastEventTime(Timestamp lastEventTime) {
		this.lastEventTime = lastEventTime;
	}

	public String getLastEventUser() {
		return lastEventUser;
	}

	public void setLastEventUser(String lastEventUser) {
		this.lastEventUser = lastEventUser;
	}

	
}
